Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSSimRingCallbackDestination Class Reference

This class represents the parameters of the destination for the callback / simultaneous ring feature. More...

`#import <CSSimRingCallbackDestination.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - init
| Constructs an empty CSSimRingCallbackDestination object. More...
(instancetype) | - initWithNumber:label:simultaneousRingEnabled:
| Constructs a CSSimRingCallbackDestination object from the specified parameters. More...

## Properties
NSString * | number
| The destination number. More...
NSString * | label
| The destination label. More...
BOOL | simultaneousRingEnabled
| Returns true if incoming calls should be received at this destination simultaneously with the user's extension, false otherwise. More...

## Detailed Description

This class represents the parameters of the destination for the callback / simultaneous ring feature.

See also
  CSCallFeatureService::simRingCallback
  CSCallFeatureServiceDelegate::callFeatureService:didChangeSimRingCallbackStatus:

## Method Documentation

- (instancetype) init |  |  |

Constructs an empty CSSimRingCallbackDestination object.

- (instancetype) initWithNumber: |  | (NSString *) | number
label: |  | (NSString *) | label
simultaneousRingEnabled: |  | (BOOL) | simultaneousRingEnabled

Constructs a CSSimRingCallbackDestination object from the specified parameters.

Parameters

  number | The destination number.
  label | The destination label. Can be empty.
  simultaneousRingEnabled | YES if incoming calls should be received at this destination simultaneously with the user's extension, NO otherwise.

## Property Documentation

- (NSString*) label
| read nonatomic assign

The destination label.

- (NSString*) number
| read nonatomic assign

The destination number.

- (BOOL) simultaneousRingEnabled
| read nonatomic assign

Returns true if incoming calls should be received at this destination simultaneously with the user's extension, false otherwise.

The documentation for this class was generated from the following file:

- CSSimRingCallbackDestination.h